<?xml version="1.0"?>

<!DOCTYPE faces-config PUBLIC
  "-//Sun Microsystems, Inc.//DTD JavaServer Faces Config 1.0//EN"
  "http://java.sun.com/dtd/web-facesconfig_1_0.dtd">

<!-- =========== FULL CONFIGURATION FILE ================================== -->

<faces-config>
	
    <application>
    	<message-bundle>appMessages</message-bundle>
    	<locale-config>
        	<default-locale>en</default-locale>
        	<supported-locale>ja</supported-locale>
    	</locale-config>
	</application>

	<converter>
		<converter-for-class>java.util.Date</converter-for-class>
		<converter-class>org.seasar.jsf.convert.S2DateTimeConverter</converter-class>
	</converter>

	<converter>
		<converter-for-class>java.lang.StringBuffer</converter-for-class>
		<converter-class>jsf.converter.StringBufferConverter</converter-class>
	</converter>
	
	<navigation-rule>
		<navigation-case>
			<from-outcome>hello</from-outcome>
			<to-view-id>/sample1/hello.html</to-view-id>
		</navigation-case>
	</navigation-rule>

	<navigation-rule>
		<navigation-case>
			<from-outcome>layout</from-outcome>
			<to-view-id>/sample2/hello-layout.html</to-view-id>
		</navigation-case>
	</navigation-rule>

	<navigation-rule>
		<navigation-case>
			<from-outcome>input</from-outcome>
			<to-view-id>/sample3/input.html</to-view-id>
			<redirect/>
		</navigation-case>
	</navigation-rule>
	<navigation-rule>
		<navigation-case>
			<from-outcome>result</from-outcome>
			<to-view-id>/sample3/result.html</to-view-id>
		</navigation-case>
	</navigation-rule>

	<navigation-rule>
		<navigation-case>
			<from-outcome>forEach</from-outcome>
			<to-view-id>/sample4/forEachList.html</to-view-id>
		</navigation-case>
	</navigation-rule>
	<navigation-rule>
		<navigation-case>
			<from-outcome>forEachResult</from-outcome>
			<to-view-id>/sample4/forEachResult.html</to-view-id>
		</navigation-case>
	</navigation-rule>

	<navigation-rule>
		<navigation-case>
			<from-outcome>converter</from-outcome>
			<to-view-id>/sample5/converter.html</to-view-id>
		</navigation-case>
	</navigation-rule>
	<navigation-rule>
		<navigation-case>
			<from-outcome>validator</from-outcome>
			<to-view-id>/sample6/validator.html</to-view-id>
		</navigation-case>
	</navigation-rule>
	<navigation-rule>
		<navigation-case>
			<from-outcome>select</from-outcome>
			<to-view-id>/sample7/select.html</to-view-id>
		</navigation-case>
	</navigation-rule>
</faces-config>